Index: uspace/srv/net/il/ip/ip.h
===================================================================
--- uspace/srv/net/il/ip/ip.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/ip/ip.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,13 +28,13 @@
 
 /** @addtogroup ip
- *  @{
+ * @{
  */
 
 /** @file
- *  IP module.
+ * IP module.
  */
 
-#ifndef __NET_IP_H__
-#define __NET_IP_H__
+#ifndef NET_IP_H_
+#define NET_IP_H_
 
 #include <fibril_synch.h>
@@ -50,27 +50,27 @@
 
 /** Type definition of the IP global data.
- *  @see ip_globals
+ * @see ip_globals
  */
-typedef struct ip_globals	ip_globals_t;
+typedef struct ip_globals ip_globals_t;
 
 /** Type definition of the IP network interface specific data.
- *  @see ip_netif
+ * @see ip_netif
  */
-typedef struct ip_netif	ip_netif_t;
+typedef struct ip_netif ip_netif_t;
 
 /** Type definition of the IP network interface specific data pointer.
- *  @see ip_netif
+ * @see ip_netif
  */
-typedef ip_netif_t *	ip_netif_ref;
+typedef ip_netif_t *ip_netif_ref;
 
 /** Type definition of the IP protocol specific data.
- *  @see ip_proto
+ * @see ip_proto
  */
-typedef struct ip_proto	ip_proto_t;
+typedef struct ip_proto ip_proto_t;
 
 /** Type definition of the IP protocol specific data pointer.
- *  @see ip_proto
+ * @see ip_proto
  */
-typedef ip_proto_t *	ip_proto_ref;
+typedef ip_proto_t *ip_proto_ref;
 
 /** Type definition of the IP route specific data.
@@ -82,128 +82,94 @@
  *  @see ip_route
  */
-typedef ip_route_t *	ip_route_ref;
+typedef ip_route_t *ip_route_ref;
 
 /** IP network interfaces.
- *  Maps devices to the IP network interface specific data.
- *  @see device.h
+ * Maps devices to the IP network interface specific data.
+ * @see device.h
  */
-DEVICE_MAP_DECLARE(ip_netifs, ip_netif_t)
+DEVICE_MAP_DECLARE(ip_netifs, ip_netif_t);
 
 /** IP registered protocols.
- *  Maps protocols to the IP protocol specific data.
- *  @see int_map.h
+ * Maps protocols to the IP protocol specific data.
+ * @see int_map.h
  */
-INT_MAP_DECLARE(ip_protos, ip_proto_t)
+INT_MAP_DECLARE(ip_protos, ip_proto_t);
 
 /** IP routing table.
- *  @see generic_field.h
+ * @see generic_field.h
  */
-GENERIC_FIELD_DECLARE(ip_routes, ip_route_t)
+GENERIC_FIELD_DECLARE(ip_routes, ip_route_t);
 
-/** IP network interface specific data.
- */
-struct	ip_netif{
-	/** ARP module.
-	 *  Assigned if using ARP.
-	 */
+/** IP network interface specific data. */
+struct ip_netif {
+	/** ARP module. Assigned if using ARP. */
 	module_ref arp;
-	/** Broadcast address.
-	 */
+	/** Broadcast address. */
 	in_addr_t broadcast;
-	/** Device identifier.
-	 */
+	/** Device identifier. */
 	device_id_t device_id;
-	/** Indicates whether using DHCP.
-	 */
+	/** Indicates whether using DHCP. */
 	int dhcp;
-	/** IP version.
-	 */
+	/** IP version. */
 	int ipv;
-	/** Packet dimension.
-	 */
+	/** Packet dimension. */
 	packet_dimension_t packet_dimension;
-	/** Netif module phone.
-	 */
+	/** Netif module phone. */
 	int phone;
-	/** Routing table.
-	 */
+	/** Routing table. */
 	ip_routes_t routes;
-	/** Indicates whether IP routing is enabled.
-	 */
+	/** Indicates whether IP routing is enabled. */
 	int routing;
-	/** Netif module service.
-	 */
+	/** Netif module service. */
 	services_t service;
-	/** Device state.
-	 */
+	/** Device state. */
 	device_state_t state;
 };
 
-/** IP protocol specific data.
- */
-struct ip_proto{
-	/** Protocol module phone.
-	 */
+/** IP protocol specific data. */
+struct ip_proto {
+	/** Protocol module phone. */
 	int phone;
-	/** Protocol number.
-	 */
+	/** Protocol number. */
 	int protocol;
-	/** Protocol packet receiving function.
-	 */
+	/** Protocol packet receiving function. */
 	tl_received_msg_t received_msg;
-	/** Protocol module service.
-	 */
+	/** Protocol module service. */
 	services_t service;
 };
 
-/** IP route specific data.
- */
-struct ip_route{
-	/** Target address.
-	 */
+/** IP route specific data. */
+struct ip_route {
+	/** Target address. */
 	in_addr_t address;
-	/** Gateway.
-	 */
+	/** Gateway. */
 	in_addr_t gateway;
-	/** Parent netif.
-	 */
+	/** Parent netif. */
 	ip_netif_ref netif;
-	/** Target network mask.
-	 */
+	/** Target network mask. */
 	in_addr_t netmask;
 };
 
-/** IP global data.
- */
-struct	ip_globals{
-	/** Default client connection function for support modules.
-	 */
+/** IP global data. */
+struct ip_globals {
+	/** Default client connection function for support modules. */
 	async_client_conn_t client_connection;
-	/** Default gateway.
-	 */
+	/** Default gateway. */
 	ip_route_t gateway;
-	/** Safety lock.
-	 */
+	/** Safety lock. */
 	fibril_rwlock_t lock;
-	/** Known support modules.
-	 */
+	/** Known support modules. */
 	modules_t modules;
-	/** Networking module phone.
-	 */
+	/** Networking module phone. */
 	int net_phone;
-	/** Registered network interfaces.
-	 */
+	/** Registered network interfaces. */
 	ip_netifs_t netifs;
-	/** Netifs safeyt lock.
-	 */
+	/** Netifs safeyt lock. */
 	fibril_rwlock_t netifs_lock;
-	/** Packet counter.
-	 */
+	/** Packet counter. */
 	uint16_t packet_counter;
-	/** Registered protocols.
-	 */
+	/** Registered protocols. */
 	ip_protos_t protos;
-	/** Protocols safety lock.
-	 */
+	/** Protocols safety lock. */
 	fibril_rwlock_t protos_lock;
 };
Index: uspace/srv/net/il/ip/ip_module.c
===================================================================
--- uspace/srv/net/il/ip/ip_module.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/ip/ip_module.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,8 +32,10 @@
 
 /** @file
- *  IP standalone module implementation.
- *  Contains skeleton module functions mapping.
- *  The functions are used by the module skeleton as module specific entry points.
- *  @see module.c
+ * IP standalone module implementation.
+ * Contains skeleton module functions mapping.
+ * The functions are used by the module skeleton as module specific entry
+ * points.
+ *
+ * @see module.c
  */
 
@@ -42,5 +44,5 @@
 #include <ipc/ipc.h>
 #include <ipc/services.h>
-#include <err.h>
+#include <errno.h>
 
 #include <net/modules.h>
@@ -52,45 +54,39 @@
 #include "ip_module.h"
 
-/** IP module global data.
- */
+/** IP module global data. */
 extern ip_globals_t ip_globals;
 
-/** Processes the IP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns Other error codes as defined for the ip_message() function.
- */
-int il_module_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count){
+int
+il_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+    ipc_call_t *answer, int *answer_count)
+{
 	return ip_message_standalone(callid, call, answer, answer_count);
 }
 
-/** Starts the IP module.
- *  Initializes the client connection serving function, initializes the module, registers the module service and starts the async manager, processing IPC messages in an infinite loop.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on successful module termination.
- *  @returns Other error codes as defined for the ip_initialize() function.
- *  @returns Other error codes as defined for the REGISTER_ME() macro function.
- */
-int il_module_start_standalone(async_client_conn_t client_connection){
-	ERROR_DECLARE;
+int il_module_start_standalone(async_client_conn_t client_connection)
+{
+	ipcarg_t phonehash;
+	int rc;
 	
 	async_set_client_connection(client_connection);
 	ip_globals.net_phone = net_connect_module();
-	ERROR_PROPAGATE(pm_init());
+
+	rc = pm_init();
+	if (rc != EOK)
+		return rc;
 	
-	ipcarg_t phonehash;
-	if (ERROR_OCCURRED(ip_initialize(client_connection))
-	    || ERROR_OCCURRED(REGISTER_ME(SERVICE_IP, &phonehash))) {
-		pm_destroy();
-		return ERROR_CODE;
-	}
+	rc = ip_initialize(client_connection);
+	if (rc != EOK)
+		goto out;
+	
+	rc = REGISTER_ME(SERVICE_IP, &phonehash);
+	if (rc != EOK)
+		goto out;
 	
 	async_manager();
-	
+
+out:
 	pm_destroy();
-	return EOK;
+	return rc;
 }
 
Index: uspace/srv/net/il/ip/ip_module.h
===================================================================
--- uspace/srv/net/il/ip/ip_module.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/il/ip/ip_module.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,36 +28,20 @@
 
 /** @addtogroup ip
- *  @{
+ * @{
  */
 
 /** @file
- *  IP module functions.
- *  The functions are used as IP module entry points.
+ * IP module functions.
+ * The functions are used as IP module entry points.
  */
 
-#ifndef __NET_IP_MODULE_H__
-#define __NET_IP_MODULE_H__
+#ifndef NET_IP_MODULE_H_
+#define NET_IP_MODULE_H_
 
 #include <ipc/ipc.h>
 
-/** Initializes the IP module.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on success.
- *  @returns ENOMEM if there is not enough memory left.
- */
-int ip_initialize(async_client_conn_t client_connection);
-
-/** Processes the IP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns ENOTSUP if the message is not known.
- *  @see ip_interface.h
- *  @see il_interface.h
- *  @see IS_NET_IP_MESSAGE()
- */
-int ip_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
+extern int ip_initialize(async_client_conn_t);
+extern int ip_message_standalone(ipc_callid_t, ipc_call_t *, ipc_call_t *,
+    int *);
 
 #endif
Index: uspace/srv/net/net/net.c
===================================================================
--- uspace/srv/net/net/net.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/net/net.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -36,4 +36,6 @@
  */
 
+#include "net.h"
+
 #include <async.h>
 #include <ctype.h>
@@ -52,30 +54,24 @@
 
 #include <net/modules.h>
+#include <net/packet.h>
+#include <net/device.h>
+
 #include <adt/char_map.h>
 #include <adt/generic_char_map.h>
 #include <adt/measured_strings.h>
 #include <adt/module_map.h>
-#include <net/packet.h>
+
 #include <netif_remote.h>
-#include <net/device.h>
 #include <nil_interface.h>
 #include <net_interface.h>
 #include <ip_interface.h>
 
-#include "net.h"
-
-/** Networking module name.
- *
- */
+/** Networking module name. */
 #define NAME  "net"
 
-/** File read buffer size.
- *
- */
+/** File read buffer size. */
 #define BUFFER_SIZE  256
 
-/** Networking module global data.
- *
- */
+/** Networking module global data. */
 net_globals_t net_globals;
 
@@ -100,5 +96,4 @@
 	measured_string_ref setting =
 	    measured_string_create_bulk(value, 0);
-	
 	if (!setting)
 		return ENOMEM;
@@ -206,5 +201,5 @@
 	unsigned int line_number = 0;
 	size_t index = 0;
-	while ((!ferror(cfg)) && (!feof(cfg))) {
+	while (!ferror(cfg) && !feof(cfg)) {
 		int read = fgetc(cfg);
 		if ((read > 0) && (read != '\n') && (read != '\r')) {
@@ -326,6 +321,6 @@
 	ipcarg_t phonehash;
 	
-	if (ERROR_OCCURRED(net_initialize(client_connection))
-	    || ERROR_OCCURRED(REGISTER_ME(SERVICE_NETWORKING, &phonehash))){
+	if (ERROR_OCCURRED(net_initialize(client_connection)) ||
+	    ERROR_OCCURRED(REGISTER_ME(SERVICE_NETWORKING, &phonehash))) {
 		pm_destroy();
 		return ERROR_CODE;
@@ -379,5 +374,5 @@
     size_t count, char **data)
 {
-	if (!(configuration && (count > 0)))
+	if (!configuration || (count <= 0))
 		return EINVAL;
 	
@@ -482,10 +477,10 @@
 	/* Inter-network layer startup */
 	switch (netif->il->service) {
-		case SERVICE_IP:
-			ERROR_PROPAGATE(ip_device_req(netif->il->phone, netif->id,
-			    internet_service));
-			break;
-		default:
-			return ENOENT;
+	case SERVICE_IP:
+		ERROR_PROPAGATE(ip_device_req(netif->il->phone, netif->id,
+		    internet_service));
+		break;
+	default:
+		return ENOENT;
 	}
 	
@@ -511,5 +506,8 @@
 	ERROR_DECLARE;
 	
-	const char *conf_files[] = {"lo", "ne2k"};
+	const char *conf_files[] = {
+		"lo",
+		"ne2k"
+	};
 	size_t count = sizeof(conf_files) / sizeof(char *);
 	
@@ -603,31 +601,31 @@
 	*answer_count = 0;
 	switch (IPC_GET_METHOD(*call)) {
-		case IPC_M_PHONE_HUNGUP:
-			return EOK;
-		case NET_NET_GET_DEVICE_CONF:
-			ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
-			    IPC_GET_COUNT(call)));
-			net_get_device_conf_req(0, IPC_GET_DEVICE(call), &strings,
-			    IPC_GET_COUNT(call), NULL);
-			
-			/* Strings should not contain received data anymore */
-			free(data);
-			
-			ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
-			free(strings);
-			return ERROR_CODE;
-		case NET_NET_GET_CONF:
-			ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
-			    IPC_GET_COUNT(call)));
-			net_get_conf_req(0, &strings, IPC_GET_COUNT(call), NULL);
-			
-			/* Strings should not contain received data anymore */
-			free(data);
-			
-			ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
-			free(strings);
-			return ERROR_CODE;
-		case NET_NET_STARTUP:
-			return startup();
+	case IPC_M_PHONE_HUNGUP:
+		return EOK;
+	case NET_NET_GET_DEVICE_CONF:
+		ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
+		    IPC_GET_COUNT(call)));
+		net_get_device_conf_req(0, IPC_GET_DEVICE(call), &strings,
+		    IPC_GET_COUNT(call), NULL);
+		
+		/* Strings should not contain received data anymore */
+		free(data);
+		
+		ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
+		free(strings);
+		return ERROR_CODE;
+	case NET_NET_GET_CONF:
+		ERROR_PROPAGATE(measured_strings_receive(&strings, &data,
+		    IPC_GET_COUNT(call)));
+		net_get_conf_req(0, &strings, IPC_GET_COUNT(call), NULL);
+		
+		/* Strings should not contain received data anymore */
+		free(data);
+		
+		ERROR_CODE = measured_strings_reply(strings, IPC_GET_COUNT(call));
+		free(strings);
+		return ERROR_CODE;
+	case NET_NET_STARTUP:
+		return startup();
 	}
 	return ENOTSUP;
@@ -661,5 +659,5 @@
 		int res = net_module_message(callid, &call, &answer, &answer_count);
 		
-		/* End if said to either by the message or the processing result */
+		/* End if told to either by the message or the processing result */
 		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) || (res == EHANGUP))
 			return;
Index: uspace/srv/net/net/net.h
===================================================================
--- uspace/srv/net/net/net.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/net/net.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -36,6 +36,6 @@
  */
 
-#ifndef __NET_NET_H__
-#define __NET_NET_H__
+#ifndef NET_NET_H_
+#define NET_NET_H_
 
 #include <ipc/ipc.h>
Index: uspace/srv/net/net/net_standalone.c
===================================================================
--- uspace/srv/net/net/net_standalone.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/net/net_standalone.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,25 +28,23 @@
 
 /** @addtogroup net
- *  @{
+ * @{
  */
 
 /** @file
- *  Wrapper for the standalone networking module.
+ * Wrapper for the standalone networking module.
  */
 
+#include "net.h"
+
 #include <str.h>
-
+#include <adt/measured_strings.h>
+#include <adt/module_map.h>
 #include <ipc/ipc.h>
 #include <ipc/net.h>
 
 #include <ip_interface.h>
-#include <adt/measured_strings.h>
-#include <adt/module_map.h>
 #include <packet_server.h>
 
-#include "net.h"
-
-/** Networking module global data.
- */
+/** Networking module global data. */
 extern net_globals_t net_globals;
 
@@ -60,5 +58,6 @@
  *
  */
-int net_initialize_build(async_client_conn_t client_connection){
+int net_initialize_build(async_client_conn_t client_connection)
+{
 	ERROR_DECLARE;
 	
Index: uspace/srv/net/netif/lo/lo.c
===================================================================
--- uspace/srv/net/netif/lo/lo.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/netif/lo/lo.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,14 +28,13 @@
 
 /** @addtogroup lo
- *  @{
+ * @{
  */
 
 /** @file
- *  Loopback network interface implementation.
+ * Loopback network interface implementation.
  */
 
 #include <async.h>
 #include <errno.h>
-#include <err.h>
 #include <stdio.h>
 #include <str.h>
@@ -53,45 +52,27 @@
 #include <netif_local.h>
 
-/** Default hardware address.
- */
+/** Default hardware address. */
 #define DEFAULT_ADDR		"\0\0\0\0\0\0"
 
-/** Default address length.
- */
+/** Default address length. */
 #define DEFAULT_ADDR_LEN	(sizeof(DEFAULT_ADDR) / sizeof(char))
 
-/** Loopback module name.
- */
+/** Loopback module name. */
 #define NAME  "lo"
 
-/** Network interface global data.
- */
+/** Network interface global data. */
 netif_globals_t	netif_globals;
 
-/** Changes the loopback state.
- *  @param[in] device The device structure.
- *  @param[in] state The new device state.
- *  @returns The new state if changed.
- *  @returns EOK otherwise.
- */
-int change_state_message(netif_device_t * device, device_state_t state);
-
-/** Creates and returns the loopback network interface structure.
- *  @param[in] device_id The new devce identifier.
- *  @param[out] device The device structure.
- *  @returns EOK on success.
- *  @returns EXDEV if one loopback network interface already exists.
- *  @returns ENOMEM if there is not enough memory left.
- */
-int create(device_id_t device_id, netif_device_t * * device);
-
-int netif_specific_message(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count){
+int
+netif_specific_message(ipc_callid_t callid, ipc_call_t *call,
+    ipc_call_t *answer, int *answer_count)
+{
 	return ENOTSUP;
 }
 
-int netif_get_addr_message(device_id_t device_id, measured_string_ref address){
-	if(! address){
+int netif_get_addr_message(device_id_t device_id, measured_string_ref address)
+{
+	if (!address)
 		return EBADMEM;
-	}
 	address->value = str_dup(DEFAULT_ADDR);
 	address->length = DEFAULT_ADDR_LEN;
@@ -99,18 +80,27 @@
 }
 
-int netif_get_device_stats(device_id_t device_id, device_stats_ref stats){
-	ERROR_DECLARE;
-
-	netif_device_t * device;
-
-	if(! stats){
+int netif_get_device_stats(device_id_t device_id, device_stats_ref stats)
+{
+	netif_device_t *device;
+	int rc;
+
+	if (!stats)
 		return EBADMEM;
-	}
-	ERROR_PROPAGATE(find_device(device_id, &device));
-	memcpy(stats, (device_stats_ref) device->specific, sizeof(device_stats_t));
-	return EOK;
-}
-
-int change_state_message(netif_device_t * device, device_state_t state)
+	rc = find_device(device_id, &device);
+	if (rc != EOK)
+		return rc;
+	memcpy(stats, (device_stats_ref) device->specific,
+	    sizeof(device_stats_t));
+	return EOK;
+}
+
+/** Changes the loopback state.
+ *
+ * @param[in] device	The device structure.
+ * @param[in] state	The new device state.
+ * @returns		The new state if changed.
+ * @returns		EOK otherwise.
+ */
+static int change_state_message(netif_device_t *device, device_state_t state)
 {
 	if (device->state != state) {
@@ -126,35 +116,45 @@
 }
 
-int create(device_id_t device_id, netif_device_t * * device){
+/** Creates and returns the loopback network interface structure.
+ *
+ * @param[in] device_id	The new devce identifier.
+ * @param[out] device	The device structure.
+ * @returns		EOK on success.
+ * @returns		EXDEV if one loopback network interface already exists.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+static int create(device_id_t device_id, netif_device_t **device)
+{
 	int index;
 
-	if(netif_device_map_count(&netif_globals.device_map) > 0){
+	if (netif_device_map_count(&netif_globals.device_map) > 0)
 		return EXDEV;
-	}else{
-		*device = (netif_device_t *) malloc(sizeof(netif_device_t));
-		if(!(*device)){
-			return ENOMEM;
-		}
-		(** device).specific = malloc(sizeof(device_stats_t));
-		if(! (** device).specific){
-			free(*device);
-			return ENOMEM;
-		}
-		null_device_stats((device_stats_ref)(** device).specific);
-		(** device).device_id = device_id;
-		(** device).nil_phone = -1;
-		(** device).state = NETIF_STOPPED;
-		index = netif_device_map_add(&netif_globals.device_map, (** device).device_id, * device);
-		if(index < 0){
-			free(*device);
-			free((** device).specific);
-			*device = NULL;
-			return index;
-		}
-	}
-	return EOK;
-}
-
-int netif_initialize(void){
+
+	*device = (netif_device_t *) malloc(sizeof(netif_device_t));
+	if (!*device)
+		return ENOMEM;
+	(*device)->specific = (device_stats_t *) malloc(sizeof(device_stats_t));
+	if (!(*device)->specific) {
+		free(*device);
+		return ENOMEM;
+	}
+	null_device_stats((device_stats_ref) (*device)->specific);
+	(*device)->device_id = device_id;
+	(*device)->nil_phone = -1;
+	(*device)->state = NETIF_STOPPED;
+	index = netif_device_map_add(&netif_globals.device_map,
+	    (*device)->device_id, *device);
+	if (index < 0) {
+		free(*device);
+		free((*device)->specific);
+		*device = NULL;
+		return index;
+	}
+	
+	return EOK;
+}
+
+int netif_initialize(void)
+{
 	ipcarg_t phonehash;
 
@@ -162,11 +162,13 @@
 }
 
-int netif_probe_message(device_id_t device_id, int irq, uintptr_t io){
-	ERROR_DECLARE;
-
-	netif_device_t * device;
+int netif_probe_message(device_id_t device_id, int irq, uintptr_t io)
+{
+	netif_device_t *device;
+	int rc;
 
 	// create a new device
-	ERROR_PROPAGATE(create(device_id, &device));
+	rc = create(device_id, &device);
+	if (rc != EOK)
+		return rc;
 	// print the settings
 	printf("%s: Device created (id: %d)\n", NAME, device->device_id);
@@ -174,38 +176,43 @@
 }
 
-int netif_send_message(device_id_t device_id, packet_t packet, services_t sender){
-	ERROR_DECLARE;
-
-	netif_device_t * device;
+int netif_send_message(device_id_t device_id, packet_t packet, services_t sender)
+{
+	netif_device_t *device;
 	size_t length;
 	packet_t next;
 	int phone;
-
-	ERROR_PROPAGATE(find_device(device_id, &device));
-	if(device->state != NETIF_ACTIVE){
+	int rc;
+
+	rc = find_device(device_id, &device);
+	if (rc != EOK)
+		return EOK;
+	if (device->state != NETIF_ACTIVE) {
 		netif_pq_release(packet_get_id(packet));
 		return EFORWARD;
 	}
 	next = packet;
-	do{
-		++ ((device_stats_ref) device->specific)->send_packets;
-		++ ((device_stats_ref) device->specific)->receive_packets;
+	do {
+		((device_stats_ref) device->specific)->send_packets++;
+		((device_stats_ref) device->specific)->receive_packets++;
 		length = packet_get_data_length(next);
 		((device_stats_ref) device->specific)->send_bytes += length;
 		((device_stats_ref) device->specific)->receive_bytes += length;
 		next = pq_next(next);
-	}while(next);
+	} while(next);
 	phone = device->nil_phone;
 	fibril_rwlock_write_unlock(&netif_globals.lock);
 	nil_received_msg(phone, device_id, packet, sender);
 	fibril_rwlock_write_lock(&netif_globals.lock);
-	return EOK;
-}
-
-int netif_start_message(netif_device_t * device){
+	
+	return EOK;
+}
+
+int netif_start_message(netif_device_t *device)
+{
 	return change_state_message(device, NETIF_ACTIVE);
 }
 
-int netif_stop_message(netif_device_t * device){
+int netif_stop_message(netif_device_t *device)
+{
 	return change_state_message(device, NETIF_STOPPED);
 }
@@ -213,7 +220,6 @@
 /** Default thread for new connections.
  *
- * @param[in] iid The initial message identifier.
- * @param[in] icall The initial message call structure.
- *
+ * @param[in] iid	The initial message identifier.
+ * @param[in] icall	The initial message call structure.
  */
 static void netif_client_connection(ipc_callid_t iid, ipc_call_t *icall)
@@ -225,5 +231,5 @@
 	ipc_answer_0(iid, EOK);
 	
-	while(true) {
+	while (true) {
 		ipc_call_t answer;
 		int answer_count;
@@ -240,6 +246,10 @@
 		    &answer_count);
 		
-		/* End if said to either by the message or the processing result */
-		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) || (res == EHANGUP))
+		/*
+		 * End if told to either by the message or the processing
+		 * result.
+		 */
+		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) ||
+		    (res == EHANGUP))
 			return;
 		
@@ -251,11 +261,9 @@
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(netif_module_start(netif_client_connection)))
-		return ERROR_CODE;
-	
-	return EOK;
+	rc = netif_module_start(netif_client_connection);
+	return rc;
 }
 
